> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/es/material-de-referencia/api/parametros-de-la-cadena-de-consulta/filtros-de-engagement.md).

# Filtros de engagement

Los siguientes puntos de entrada de la API permiten buscar registros según la fecha en que fueron creados:

* GET /posts&#x20;
* GET /posts/stats

En cada uno de estos endpoints, dos parámetros trabajan juntos para especificar un rango de métricas de engagement para los registros que se incluirán en los resultados:

* **engagement\_from** – límite inferior del rango de engagement.
* **engagement\_to** – límite superior del rango de engagement.

Estos valores deben expresarse como números enteros con el sufijo ".00".

Si uno o ambos parámetros se omiten, se aplicarán los siguientes valores predeterminados:

* Si se omite el parámetro **engagement\_from**, se asumirá un valor predeterminado de cero.
* Si se omite el parámetro **engagement\_to**, se asumirá un valor predeterminado infinitamente grande.

### Rango explícito

La siguiente solicitud recuperará publicaciones con métricas de engagement de al menos 100 y no mayores de 5000:

GET /posts?engagement\_from=100.00\&engagement\_to=5000.00

### Valores inferiores o superiores implícitos

Las siguientes solicitudes implican límites predeterminados bajos o altos para el rango:

GET /posts?engagement\_from=100.00

GET /posts?engagement\_to=5000.00

### Sin filtrado de engagement

Sin los parámetros de engagement, la siguiente solicitud no aplicará ningún filtro de engagement:

GET /posts


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.junkipedia.org/es/material-de-referencia/api/parametros-de-la-cadena-de-consulta/filtros-de-engagement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
